
From: Arjan van de Ven <arjanv@redhat.com>

dump_extended_fpu() is used nowhere in the kernel; save a few bytes...

Signed-off-by: <arjanv@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/i386_ksyms.c |    1 -
 25-akpm/arch/i386/kernel/i387.c       |   15 ---------------
 25-akpm/include/asm-i386/i387.h       |    2 --
 3 files changed, 18 deletions(-)

diff -puN arch/i386/kernel/i386_ksyms.c~remove-unused-code-dump_extended_fpu arch/i386/kernel/i386_ksyms.c
--- 25/arch/i386/kernel/i386_ksyms.c~remove-unused-code-dump_extended_fpu	2004-10-24 02:07:48.748226576 -0700
+++ 25-akpm/arch/i386/kernel/i386_ksyms.c	2004-10-24 02:07:48.754225664 -0700
@@ -71,7 +71,6 @@ EXPORT_SYMBOL(xquad_portio);
 #endif
 EXPORT_SYMBOL(dump_thread);
 EXPORT_SYMBOL(dump_fpu);
-EXPORT_SYMBOL(dump_extended_fpu);
 EXPORT_SYMBOL_GPL(kernel_fpu_begin);
 EXPORT_SYMBOL(__ioremap);
 EXPORT_SYMBOL(ioremap_nocache);
diff -puN arch/i386/kernel/i387.c~remove-unused-code-dump_extended_fpu arch/i386/kernel/i387.c
--- 25/arch/i386/kernel/i387.c~remove-unused-code-dump_extended_fpu	2004-10-24 02:07:48.749226424 -0700
+++ 25-akpm/arch/i386/kernel/i387.c	2004-10-24 02:07:48.755225512 -0700
@@ -519,21 +519,6 @@ int dump_fpu( struct pt_regs *regs, stru
 	return fpvalid;
 }
 
-int dump_extended_fpu( struct pt_regs *regs, struct user_fxsr_struct *fpu )
-{
-	int fpvalid;
-	struct task_struct *tsk = current;
-
-	fpvalid = tsk->used_math && cpu_has_fxsr;
-	if ( fpvalid ) {
-		unlazy_fpu( tsk );
-		memcpy( fpu, &tsk->thread.i387.fxsave,
-			sizeof(struct user_fxsr_struct) );
-	}
-
-	return fpvalid;
-}
-
 int dump_task_fpu(struct task_struct *tsk, struct user_i387_struct *fpu)
 {
 	int fpvalid = tsk->used_math;
diff -puN include/asm-i386/i387.h~remove-unused-code-dump_extended_fpu include/asm-i386/i387.h
--- 25/include/asm-i386/i387.h~remove-unused-code-dump_extended_fpu	2004-10-24 02:07:48.750226272 -0700
+++ 25-akpm/include/asm-i386/i387.h	2004-10-24 02:07:48.755225512 -0700
@@ -117,7 +117,5 @@ extern int set_fpxregs( struct task_stru
  */
 extern int dump_fpu( struct pt_regs *regs,
 		     struct user_i387_struct *fpu );
-extern int dump_extended_fpu( struct pt_regs *regs,
-			      struct user_fxsr_struct *fpu );
 
 #endif /* __ASM_I386_I387_H */
_
